#archlinux32 | Logs for 2018-11-08

Back
[00:28:17] -!- thePiGrepper has joined #archlinux32
[00:46:18] -!- thePiGrepper has quit [Ping timeout: 245 seconds]
[01:55:14] -!- guys has quit [Ping timeout: 276 seconds]
[02:34:28] -!- DepositePirate has quit [Remote host closed the connection]
[02:35:01] -!- DepositePirate has joined #archlinux32
[02:44:13] -!- woshty has quit [Ping timeout: 245 seconds]
[02:46:07] -!- guys has joined #archlinux32
[04:04:44] -!- thePiGrepper has joined #archlinux32
[04:30:23] -!- guys has quit [Ping timeout: 268 seconds]
[04:43:58] -!- guys has joined #archlinux32
[04:50:44] -!- NoobAlice has quit [Quit: Leaving.]
[06:31:15] -!- guys has quit [Ping timeout: 268 seconds]
[06:45:18] -!- guys has joined #archlinux32
[08:30:12] -!- guys has quit [Ping timeout: 252 seconds]
[09:49:25] -!- T`aZ has joined #archlinux32
[09:51:26] <T`aZ> hi
[09:51:32] <T`aZ> https://packages.archlinux32.org
[09:52:43] <T`aZ> im having issue as mkvtoolnix-gui is linked againt sboost t 1.68 however only 1.67 is available
[09:52:54] -!- deep42thought has joined #archlinux32
[09:52:54] <buildmaster> Hi deep42thought!
[09:52:54] <buildmaster> !rq deep42thought
[09:52:56] <phrik> buildmaster: <deep42thought> my cluster of 1k 4/86's will be happy to iterate Maxwell-Vlasov-equations :-D
[09:52:59] <T`aZ> against boost 1.68*
[09:53:18] <deep42thought> you're running the i486 one or the i686 one?
[09:54:15] <T`aZ> i686 i guess
[09:54:35] <deep42thought> the 500 you posted is a bug in the web frontend
[09:54:44] <deep42thought> it only checks the version of the i686
[09:54:51] * deep42thought should fix that
[09:55:17] <T`aZ> ha , what a coincidence, however the i686 link for boost is still at 1.67 version :p
[09:56:10] <deep42thought> and boost is also on 1.67.0
[09:57:25] <deep42thought> ah, I see the problem
[09:57:47] <deep42thought> and I also see, why you came to the i486 link :-/
[09:58:21] <T`aZ> from https://packages.archlinux32.org
[09:58:24] <phrik> Title:Arch Linux 32 - mkvtoolnix-gui 27.0.0-1.0 (i686) (at packages.archlinux32.org)
[09:58:25] <deep42thought> yeah
[09:58:36] <deep42thought> the webfrontend needs some fixes ...
[09:59:11] <T`aZ> maybe, but the package too :p
[09:59:26] <deep42thought> yeah
[10:00:29] <deep42thought> I'll move boost and boost-libs and see what breaks in the process
[10:02:22] <T`aZ> ok, thx already :)
[10:08:16] <buildmaster> i686/gap is broken (says rechenknecht).
[10:19:15] <T`aZ> same issue with icu :(
[10:26:00] <deep42thought> umm, moving icu probably breaks all sort of things :-/
[10:26:21] * deep42thought moves anyway
[10:40:07] <deep42thought> tyzoid: can you enable your package api to serve i486 package metadata as well?
[10:40:24] <deep42thought> e.g. $arch:$repo:$pkgname instead of $repo:$pkgname?
[10:40:46] <deep42thought> where $arch should be the architecture of the repository (e.g. no "any")
[12:13:17] <T`aZ> i hope im not making you break a lot of packages :( , but now mkvtoolnix-gui is looking for libicui18n.so.62 :( , so probably libs depending on libicu needs to be updated too :(
[12:15:57] <deep42thought> yeah, for sure, a lot of packages need to be moved
[12:16:03] <deep42thought> that's, why it's taking so long
[12:23:42] -!- woshty has joined #archlinux32
[12:28:14] <deep42thought> T`aZ: Did you upgrade boost-libst to 1.68.0-2.0 already?
[12:31:24] <thePiGrepper> deep42thought: hi
[12:31:26] <deep42thought> Hi
[12:32:20] <thePiGrepper> deep42thought: one quick question. why did you closed the pull requests for asp32? I just finished testing the fix for bash completion, and found out that both were closed but the repo wasnt changed in any way
[12:32:35] <deep42thought> huh? I thought, I merged them
[12:32:51] <thePiGrepper> really? I fetched and nothing changed. weird
[12:32:58] <thePiGrepper> let me see. maybe a timing issue
[12:33:01] <deep42thought> I'm on 06fdb66
[12:33:04] <deep42thought> and it looks merged
[12:33:26] <deep42thought> (I added another merge commit to reflect the correct ancestors, though)
[12:34:25] <thePiGrepper> oops. I just checked I dont have your remote on my local repo. just the upstream one and mine..
[12:35:12] * thePiGrepper is embarrased..
[12:35:20] <deep42thought> :-D
[12:35:25] <deep42thought> np
[12:36:06] <thePiGrepper> well, regarding that. I just checked and the fix I made had an issue with completion. I already fix it. I'll send you another PR now that you already merged the previous one then.
[12:36:45] <deep42thought> ok
[12:47:14] <thePiGrepper> deep42thought: ok, it's done. you can pull now. sorry for the double merge, btw.
[12:47:28] -!- DepositePirate has quit [Quit: Connection reset by beer]
[12:50:27] -!- DepositePirate has joined #archlinux32
[12:50:30] -!- DepositePirate has quit [Client Quit]
[12:51:10] <deep42thought> thePiGrepper: thx
[12:55:47] -!- thePiGrepper has quit [Ping timeout: 240 seconds]
[12:57:38] <T`aZ> deep42thought: yup
[12:58:17] <deep42thought> can you post the output of "lddtree /usr/bin/mkvtoolnix-gui" somewhere?
[12:58:24] <deep42thought> you may need to install lddtree first, though
[12:58:44] <deep42thought> it's in pax-utils
[13:04:14] <T`aZ> deep42thought: https://pastebin.com
[13:04:15] <phrik> Title:/usr/bin/mkvtoolnix-gui (interpreter => /lib/ld-linux.so.2) libmagic.so.1 = - Pastebin.com (at pastebin.com)
[13:04:56] <deep42thought> ok, so qt5 needs to be pushed, too :-/
[13:18:43] -!- DepositePirate has joined #archlinux32
[13:20:04] -!- guys has joined #archlinux32
[13:31:04] -!- thePiGrepper has joined #archlinux32
[13:45:15] -!- thePiGrepper has quit [Ping timeout: 252 seconds]
[13:54:11] <deep42thought> T`aZ: should be done
[13:56:06] <deep42thought> hmm, there are still wrongly linked packages left :-/
[13:59:45] <T`aZ> yes :( , i saw the update to qt5-base, however it's still linked to icu 62
[14:00:46] <T`aZ> the timestamp of /usr/lib/libQt5Core.so.5.11.2 is still from october though
[14:02:44] <deep42thought> it's linked against icu 63 over here
[14:02:53] <deep42thought> maybe, you missed the update which just ran through?
[14:03:20] <deep42thought> qt5-base was moved from staging to testing in the first run - I forgot about that
[14:08:47] <T`aZ> haa, indeed, a race condition happened ;), thx a lot !
[14:08:57] <deep42thought> :-)
[14:10:37] -!- abaumann has joined #archlinux32
[14:10:37] <buildmaster> Hi abaumann!
[14:10:38] <buildmaster> !rq abaumann
[14:10:38] <phrik> buildmaster: <abaumann> canary no. 2 is back on testing. :-)
[14:10:44] <deep42thought> Hi abaumann!
[14:10:52] <abaumann> hi deep42thought
[14:31:47] -!- guys has quit [Ping timeout: 240 seconds]
[14:32:59] -!- thePiGrepper has joined #archlinux32
[14:47:21] -!- guys has joined #archlinux32
[14:53:43] -!- autofsckk has quit [Remote host closed the connection]
[15:02:02] -!- drathir has quit [*.net *.split]
[15:24:04] -!- autofsckk has joined #archlinux32
[15:44:41] -!- abaumann has quit [Quit: leaving]
[15:46:19] <autofsckk> hello, i have a little problem with lxpanel after the last update, https://bpaste.net the last line says Exception of floating point (`core 'generated)
[15:46:20] <phrik> Title:show at bpaste (at bpaste.net)
[16:04:45] -!- deep42thought has quit [Quit: Leaving.]
[16:05:59] -!- abaumann has joined #archlinux32
[16:06:00] <buildmaster> Hi abaumann!
[16:06:00] <buildmaster> !rq abaumann
[16:06:00] <phrik> buildmaster: <abaumann> a babe is a checksum error
[16:41:07] -!- guys has quit [Ping timeout: 246 seconds]
[16:42:28] -!- autofsckk has quit [Quit: leaving]
[16:48:41] <finsternis> I'm getting libicui18n.so.62: cannot open shared object file: No such file or directory trying to run thunderbird
[16:51:50] -!- autofsckk has joined #archlinux32
[16:51:56] <T`aZ> ha it's related to the issue from today, we have to ask sombody to rebuild that package, however deep42thought is no longer here to help :(
[16:52:06] <autofsckk> hi, im getting this error after an update /usr/lib/chromium/chromium: error while loading shared libraries: libicui18n.so.62: cannot open shared object file: No such file or directory
[16:52:31] <T`aZ> hmm, same reply for autofsckk :p
[16:52:35] <autofsckk> i also get that error when trying to start firefox so i cant search for a fix :/
[16:52:47] -!- thePiGrepper has quit [Ping timeout: 240 seconds]
[16:53:32] <T`aZ> as a dirty temporary workaround, have you tried a symlink ?
[16:54:10] <T`aZ> the solution is to either rebuild the package yourself, wait for somebody else to do it, or downgrade the icu package
[16:54:34] <T`aZ> it has been updated today, however it seems not all binaries have been rebuilt :(
[16:55:38] -!- guys has joined #archlinux32
[16:55:53] <autofsckk> ok im downgrading it T`aZ thanks
[16:56:03] <autofsckk> i also got a problem with lxpanel, not working anymore
[16:56:07] <autofsckk> :(
[16:57:23] <T`aZ> but pay attention that some packages have been updated for the new icu , for example qt5, so if you downgrade now it's those that wont work
[16:58:10] <autofsckk> but this update fixed a kernel problem
[16:58:14] <autofsckk> ok
[16:58:21] <autofsckk> i dont think i have any qt5
[16:59:09] <autofsckk> firefox working now
[16:59:46] <finsternis> Also: rofi: error while loading shared libraries: libicuuc.so.62
[17:00:33] <T`aZ> same problem from the icu package update :(
[17:00:43] <finsternis> I try to downgrade it for now
[17:01:03] <autofsckk> chromium isnt working yet /usr/lib/chromium/chromium: error while loading shared libraries: libicuuc.so.63: cannot open shared object file: No such file or directory
[17:01:14] <autofsckk> i got firefox and thunderbird working
[17:01:25] <finsternis> I don't know what's better, symlinking or downgrading
[17:02:11] <autofsckk> finsternis: why?
[17:02:36] <finsternis> autofsckk: for a temporary solution
[17:05:33] -!- guys has quit [Ping timeout: 252 seconds]
[17:06:56] <buildmaster> i686/deepin-daemon is broken (says buildknecht2).
[17:21:33] -!- abaumann has quit [Quit: leaving]
[17:40:38] -!- deep42thought has joined #archlinux32
[17:40:39] <buildmaster> Hi deep42thought!
[17:40:39] <buildmaster> !rq deep42thought
[17:40:40] <phrik> buildmaster: <deep42thought> arch32 is on the bleeding edge of arch, which is on the bleeding edge of software?
[17:40:48] <deep42thought> sry for the icu mess
[17:41:06] <deep42thought> packages, that do not correctly link against icu are ones, that most probably fail to compile (currently)
[17:41:21] <deep42thought> dirty workaround is to symlink
[17:41:43] <deep42thought> clean workaround is to downgrade icu (and all packages, that link against the _new_ icu)
[17:42:20] <deep42thought> a less dirty, but still dirty workaround would be to manually extract /usr/lib/libicu* from the old icu package - but I really do not recommend that
[17:45:52] -!- thePiGrepper has joined #archlinux32
[17:50:53] -!- guys has joined #archlinux32
[17:52:56] -!- deep42thought has quit [Quit: Leaving.]
[18:10:03] -!- T`aZ has quit [Ping timeout: 245 seconds]
[18:25:28] <finsternis> looks like the problem is bigger..I've created symlinks, but they are still complaining: /usr/lib/thunderbird/libxul.so: undefined symbol: uplrules_selectWithFormat_62
[18:25:52] <finsternis> mpv: symbol lookup error: /usr/lib/libxml2.so.2: undefined symbol: ucnv_setToUCallBack_62
[18:26:05] <buildmaster> i686/gzip is broken (says buildknecht2).
[18:29:42] <finsternis> I had cleaned the packages cache and I can't find icu-62.1-1.1-i686.pkg.tar.xz to download just for trying to downgrade
[18:38:34] <autofsckk> i downgraded the icu package and now firefox and thunderbird are working, but not chromium and smplayer :/
[18:43:22] <autofsckk> y get this /usr/lib/chromium/chromium: error while loading shared libraries: libicui18n.so.61: cannot open shared object file: No such file or directory
[18:43:32] <autofsckk> and this smplayer: error while loading shared libraries: libicui18n.so.63: cannot open shared object file: No such file or directory :┬┤(
[18:45:43] <finsternis> autofsckk: you can create a symlink in /usr/lib
[18:45:53] <finsternis> sudo ln -s libicui18n.so.63.1 libicui18n.so.62
[18:47:26] <finsternis> autofsckk: smplayer now doesn't work since you have downgraded icu
[18:48:08] <finsternis> for chromium you can try sudo ln -s libicui18n.so.63.1 libicui18n.so.61 in /usr/lib
[18:48:56] <autofsckk> finsternis: thanks ill try that
[18:48:56] <finsternis> uhm, sorry, sudo ln -s libicui18n.so.62 libicui18n.so.61
[18:49:33] <finsternis> I don't know the correct number, type libicui18n.so.62 TAB to autocomplete correctly
[18:52:23] <autofsckk> theres no libicui18n* at /usr/lib but i found this ./lib/libicui18n.so.62.1 with find well there are some other at ./lib
[18:53:36] <finsternis> autofsckk: then create the symlink in that directory instead
[18:55:10] <autofsckk> lrwxrwxrwx 1 root root 7 sep 24 12:23 lib -> usr/lib
[18:55:21] <autofsckk> im a little confused
[19:01:46] <autofsckk> /lib/libicui18n.so
[19:01:46] <autofsckk> /lib/libicui18n.so.62.1
[19:01:46] <autofsckk> /lib/libicui18n.so.62
[19:01:46] <autofsckk> /lib/libicui18n.so.61
[19:02:21] -!- thePiGrepper has quit [Ping timeout: 268 seconds]
[19:02:38] <autofsckk> sorry, i got those so i have to ln -s /lib/libicuuc.so.62 /lib/libicuuc.so.61 is that correct?
[19:06:03] <autofsckk> https://bpaste.net <---- this is what i have inside /lib/
[19:06:05] <phrik> Title:show at bpaste (at bpaste.net)
[19:09:27] <finsternis> ln -s /lib/libicuuc.so.62.1 /lib/libicuuc.so.61
[19:11:04] <autofsckk> its asking for libicuuc.so.63 /usr/lib/chromium/chromium: error while loading shared libraries: libicuuc.so.63: cannot open shared object file: No such file or directory
[19:15:24] <autofsckk> i did this ln -s /lib/libicuuc.so.62.1 /lib/libicuuc.so.63 but got this errors
[19:15:30] <autofsckk> /usr/lib/chromium/chromium: /usr/lib/libssh.so.4: no version information available (required by /usr/lib/libavformat.so.58)
[19:15:33] <autofsckk> /usr/lib/chromium/chromium: symbol lookup error: /usr/lib/libxml2.so.2: undefined symbol: ucnv_setToUCallBack_63
[19:16:22] -!- thePiGrepper has joined #archlinux32
[19:17:36] <finsternis> autofsckk: symbol lookup error: so I think there is no way to workaround just creating symlinks
[19:25:30] <autofsckk> so sad
[19:25:49] <autofsckk> so i just have to wait until a next update maybe?
[19:26:34] <finsternis> I'm waiting
[19:31:30] <autofsckk> my lxpanel also got broken, now im using xfce panel but i really dont like it
[19:31:36] <autofsckk> any ideaS? i use openbox
[19:32:24] -!- buildmaster has quit [Ping timeout: 252 seconds]
[19:32:41] -!- buildmaster has joined #archlinux32
[19:33:30] -!- pulec has quit [Ping timeout: 252 seconds]
[19:46:20] <finsternis> autofsckk: the output of: scanelf -l /usr/lib/thunderbird/thunderbird | grep icu ?
[19:49:03] <autofsckk> not scanelf installed
[19:49:12] <finsternis> it's in pax-utils
[19:49:12] <autofsckk> ash: scanelf: no se encontr├│ la orden
[19:50:34] <autofsckk> https://bpaste.net
[19:50:35] <phrik> Title:show at bpaste (at bpaste.net)
[19:52:42] <finsternis> I've instead http://sprunge.us 63
[19:54:21] <autofsckk> i downgraded icu
[19:54:58] <autofsckk> should i update it and then just make a symlink? is it better and ill get the other apps working again?
[19:55:25] <autofsckk> have to leave now
[19:55:32] <autofsckk> ill be back in a few hours, thanks a lot
[19:57:30] <finsternis> ah, so the executable code of thunderbird is linked to the *icu* libraries found on the system, 63 in my case, 62 in yours
[20:32:33] -!- thePiGrepper has quit [Ping timeout: 252 seconds]
[21:36:12] -!- slacka123 has quit [Quit: Leaving]
[22:00:48] -!- davor has quit [Read error: Connection reset by peer]
[22:05:06] -!- davor has joined #archlinux32
[22:30:04] -!- deep42thought has joined #archlinux32
[22:30:05] <buildmaster> Hi deep42thought!
[22:30:05] <buildmaster> !rq deep42thought
[22:30:07] <phrik> buildmaster: <deep42thought> one day, some genius will prove, that all programming languages are isomorphic and there is actually only _one_ compiler
[22:30:24] <deep42thought> the symbol lookup errors are, because symlinking is just a dirty hack
[22:30:59] <deep42thought> finsternis: old packages can be found in the archive: archive.archlinux32.org
[22:46:31] -!- thePiGrepper has joined #archlinux32
[22:47:31] <finsternis> deep42thought: oh, thank you
[22:48:20] <thePiGrepper> nn
[22:54:22] <finsternis> yes, downgrading icu fixed
[23:18:54] -!- thePiGrepper has quit [Ping timeout: 252 seconds]
[23:41:57] -!- guys has quit [Ping timeout: 250 seconds]
[23:54:08] <autofsckk> now i cant use my video players, vlc or smplayer :S
[23:54:20] <deep42thought> :-(
[23:55:01] <autofsckk> smplayer: error while loading shared libraries: libicui18n.so.63: cannot open shared object file: No such file or directory
[23:55:09] <autofsckk> yes i know deep42thought , hello by the way :D
[23:55:51] <deep42thought> the problem is, that half the programs require icu62 now and the other half icu63 :-/
[23:59:47] <autofsckk> so bad, i dont know what icu63 is